package immibis.infinitubes;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;

public class StackPointer {
	public final IInventory inv;
	public final int slot;
	public StackPointer(IInventory inv, int slot) {
		this.inv = inv;
		this.slot = slot;
	}
	public ItemStack get() {
		return inv.getStackInSlot(slot);
	}
	public void put(ItemStack stack) {
		inv.setInventorySlotContents(slot, stack);
	}
}